Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2037671 - Please branch and build ShellCheck in epel8
Summary: Please branch and build ShellCheck in epel8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: ShellCheck
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-06 09:55 UTC by David
Modified: 2022-09-05 08:30 UTC (History)
4 users (show)

Fixed In Version: ShellCheck-0.6.0-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-05 08:30:40 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-533 0 None None None 2022-07-13 09:17:20 UTC

Description David 2022-01-06 09:55:54 UTC
Please branch and build ShellCheck in epel8.

https://github.com/koalaman/shellcheck/releases/tag/v0.8.0

Comment 1 David 2022-01-10 08:04:38 UTC
Will anyone be able to branch and build ShellCheck in epel8? Thanks!

Comment 2 Jens Petersen 2022-01-10 16:18:16 UTC
Yes, I have requested branches for epel8 and epel9.

Anyone's help towards this is still welcome.

Comment 3 greg.hellings 2022-01-11 14:18:56 UTC
There are a large number of dependencies missing from both EPEL8 and EPEL9. Personally I have no use for later EPEL builds as I solely use Fedora now. If someone wants to try building, current Rawhide is 0.7.2 and in EPEL8 it needs, at minimum,

ghc-{Diff,QuickCheck,aeson,array,base,bytestring,containers,deepseq,directory,filepath,mtl,parsec,process,regex-tdfa}-prof  packages to also be branched.

There are even more missing from the EPEL9 repo.

Until Rawhide is updated I don't want to try with 0.8.0 as I am not entirely sure how to read Haskell dependencies and, as I mentioned, I don't really have a use for EPEL builds. If someone else wants to take over curation of the EPEL side of the package, I'm happy to do that if I can.

Comment 4 Jens Petersen 2022-01-11 15:40:17 UTC
Ah sorry, Greg, apologies - I missed that you are down as EPEL maintainer.

Not sure if we will be able to build current versions for EPEL 8,
but that should become possible for EPEL 9
(though even ghc has not been bootstrapped yet: I am starting to look at that).

I hope even a slightly older version of ShellCheck would still be useful for EPEL 8:
anyway let's see what is possible.

I could also setup a epel8 copr if that helps (even in the meantime).

Comment 5 Jens Petersen 2022-01-16 07:09:58 UTC
I would be happy to be epel maintainer if you don't have time.
https://src.fedoraproject.org/rpms/ShellCheck/settings#usersgroups-tab

I am starting work now on epel9 bootstrapping and also finally epel8.

Or if you prefer you can also request the epel8 and epel9 branches now
and I can work in those too.

Comment 6 David 2022-01-28 15:58:43 UTC
Great news it is getting built! Any update?

Comment 7 David 2022-06-12 08:54:36 UTC
@petersen Are you still building ShellCheck for epel9? Thanks.

Comment 8 Jens Petersen 2022-06-13 11:27:18 UTC
I plan to yes, sorry it is taking so long:
also I don't really want to block others from helping out.

I spent some time preparing an minor refresh for Rawhide Haskell,
which I hope to push out in the days/week and use that as the basis
for EPEL9.

Sorry for how long it is taking.

Comment 9 Jens Petersen 2022-06-13 11:30:35 UTC
Greg, can you set me as the EPEL maintainer then?

https://src.fedoraproject.org/rpms/ShellCheck/

Otherwise I am not able to request the branches formally.

Comment 10 greg.hellings 2022-06-13 14:57:35 UTC
Unfortunately I have no access to the settings page of that project as Dridi is the on one with admin access. I'm happy for you to have maintainership of the EPEL branch, but it will need Dridi or someone with superpowers on the site to change that setting. I can't even find a way to remove myself from the EPEL maintainer list on that page and the direct Settings link is a 403.

Comment 11 Jens Petersen 2022-06-14 13:56:48 UTC
Thanks, Dridi has added me now to the package comaintainers.

Comment 13 Fedora Update System 2022-08-28 16:06:09 UTC
FEDORA-EPEL-2022-619c71c0b0 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-619c71c0b0

Comment 14 Fedora Update System 2022-08-28 23:35:48 UTC
FEDORA-EPEL-2022-619c71c0b0 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-619c71c0b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2022-09-05 08:30:40 UTC
FEDORA-EPEL-2022-619c71c0b0 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.